Subject: Re: POHMELFS high performance network filesystem. Transactions, failover, performance.

From: Jamie Lokier <[email-masked]>
Date: Wed, 14 May 2008 22:43:49 +0100

Jeff Garzik wrote:
> Definitely.  "several leaders" aka partitioning is also becoming 
> increasing paired with efforts at enhancing locality of reference.  Both 
> Google and Amazon sort their distributed tables lexographically, which 
> [ideally] results in similar data being stored near each other.
> 
> A bit of an improvement over partitioning-by-hash, anyway, for some 
> workloads.

As with B-trees on disks, and in-memory structures, application
knowledge of locality is very much worth passing to the storage layer.

-- Jamie